Name:           perl-File-Path
Version:        2.17
Release:        1
Summary:        Create or remove directory trees
License:        GPL+ or Artistic
URL:            https://metacpan.org/pod/File::Path
Source0:        https://cpan.metacpan.org/authors/id/J/JK/JKEENAN/File-Path-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils findutils make perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::More) >= 0.44
BuildRequires:  perl(strict) perl(Carp) perl(Cwd) perl(Exporter) perl(File::Basename) perl(File::Spec)
BuildRequires:  perl(vars) perl(base) perl(Config) perl(Errno) perl(Fcntl) perl(File::Spec::Functions)
BuildRequires:  perl(lib) perl(SelectSaver) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp)

%description
This module provides a convenient way to create directories
of arbitrary depth and to delete an entire directory subtree
from the filesystem.

%package_help

%prep
%autosetup -n File-Path-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc README
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%doc Changes
%{_mandir}/man3/*

%changelog
* Thu Aug 20 2020 SimpleUpdate Robot <tc@openeuler.org> - 2.17-1
- Upgrade to version 2.17

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.16-4
- Change the mod of file

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.16-3
- rebuild package

* Mon Aug 26 2019 hexiaowen <hexiaowen@huawei.com> - 2.16-2
- fix type

* Mon Aug 26 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.16-1
- Package Init

